import path from 'path';
import fs from 'fs/promises';
import { NextResponse } from 'next/server';

export async function GET(request: Request, { params }: { params: { path: string[] } }) {
  try {
    const filePath = path.join(process.cwd(), 'uploads', ...params.path);
    console.log('Resolved file path:', filePath);

    // Check if the file exists before attempting to read it
    await fs.access(filePath);

    const file = await fs.readFile(filePath);
    return new NextResponse(file, {
      headers: { 'Content-Type': 'image/webp' },
    });
  } catch (error) {
    console.error('Error serving file:', error);
    return new NextResponse('File not found', { status: 404 });
  }
}
